import {
	myRequest
} from '../request.js'
export default {
	mockApplyListApply(data) {
		return myRequest({
			url: '/mock/apply/listApply',
			method: 'get',
			data: data
		})
	},
	
	userSubscribe(data) {
		return myRequest({
			url: '/user/subscribe/'+data,
			method: 'get',
		})
	},
	
 mockApplyListApplyName(data) {
		return myRequest({
			url: '/mock/apply/listApplyName',
			method: 'get',
			data
		})
	},
	
	mockApplyListApplyBusiness(data) {
		return myRequest({
			url: '/mock/apply/listApplyBusiness',
			method: 'get',
			data
		})
	},
	
	mockSubscribe(data) {
		return myRequest({
			url: '/mock/subscribe',
			method: 'post',
			data
		})
	},
	
	mockSubscribeListSubscribe(data) {
		return myRequest({
			url: '/mock/subscribe/listSubscribe',
			method: 'GET',
			data
		})
	},
	
	mockRecord(data) {
		return myRequest({
			url: '/mock/record',
			method: 'post',
			data
		})
	},
	
	mockRecordEdit(data) {
		return myRequest({
			url: '/mock/record/edit',
			method: 'post',
			data
		})
	},
	
	mockWrongRecordWrongNum(data) {
		return myRequest({
			url:`/mock/wwrong/record/wrongNum/${data}`,
			method: 'get'
		})
	},
	
	goodsListGoodsUserLive(data) {
		return myRequest({
			url:`/goods/listGoodsUserLive`,
			method: 'get',
			data
		})
	},
	
	mockReport(data) {
		return myRequest({
			url: '/mock/record/'+data,
			method: 'get',
		})
	},
	
	mockWrongRecord(data) {
		return myRequest({
			url: '/mock/wwrong/record',
			data:data,
			method: 'POST',
		})
	},
	
	
	mockSubscribeEdit(data) {
		return myRequest({
			url: '/mock/subscribe/edit',
			data:data,
			method: 'POST',
		})
	},
	
	mockApplyListMockLive(data) {
		return myRequest({
			url: '/mock/apply/listMockLive',
			data:data,
			method: 'get',
		})
	},
	
	mockSubscribeInfo(data) {
		return myRequest({
			url: '/mock/subscribe/info/'+data,
			method: 'get',
		})
	},
	
	mockRecordGroupList(data) {
			return myRequest({
				url: '/mock/record/group_list',
				method: 'get',
	      params:data
			})
		},
	  
	  mockRecordList(data) {
			return myRequest({
				url: '/mock/record/list',
				method: 'get',
	      params:data
			})
		},

		mockApplyMockLiving(data) {
			return myRequest({
				url: '/mock/apply/mockLiving',
				method: 'get',
		    params:data
			})
		},

}
